### Property

# Gtk DragSource:actions

#### Declaration

    property actions: Gdk.DragAction [ read, write ]

#### Description [src]

The actions that are supported by drag operations from the source.

Note that you must handle the `GtkDragSource::drag-end` signal if the actions include `GDK_ACTION_MOVE`.

Type: | `GdkDragAction`

Default value | GDK_ACTION_COPY
Getter method | `gtk_drag_source_get_actions()`
Setter method | `gtk_drag_source_set_actions()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no